Atualizar integração
curl --request PUT \
--url https://api.olie.ai/api/management/integrations/{integration_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "WhatsApp oficial",
"is_active": false
}
'import requests
url = "https://api.olie.ai/api/management/integrations/{integration_id}"
payload = {
"name": "WhatsApp oficial",
"is_active": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'WhatsApp oficial', is_active: false})
};
fetch('https://api.olie.ai/api/management/integrations/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olie.ai/api/management/integrations/{integration_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'WhatsApp oficial',
'is_active' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.olie.ai/api/management/integrations/{integration_id}"
payload := strings.NewReader("{\n \"name\": \"WhatsApp oficial\",\n \"is_active\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.olie.ai/api/management/integrations/{integration_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"WhatsApp oficial\",\n \"is_active\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olie.ai/api/management/integrations/{integration_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"WhatsApp oficial\",\n \"is_active\": false\n}"
response = http.request(request)
puts response.read_body{
"integration": {
"id": "5d2e8f1a-6b3c-4d7e-8f90-1a2b3c4d5e6f",
"type": "whatsapp_cloud",
"name": "WhatsApp oficial",
"config": {
"onboarding": "embedded_signup",
"waba_id": "102030405060708",
"graph_version": "v21.0"
},
"is_active": false,
"connection_state": "unknown",
"connection_state_changed_at": null,
"frame_id": "7c0e1d2f-3a4b-5c6d-7e8f-9a0b1c2d3e4f",
"webhook_token": "Qm7xT2vB9nK4sH8dL1wR6yC0fJ5gAeU3iO7tZ2pV9kMbXc1N",
"webhook_url": "https://api.olie.ai/api/management/channels/inbound/Qm7xT2vB9nK4sH8dL1wR6yC0fJ5gAeU3iO7tZ2pV9kMbXc1N",
"created_at": "2026-06-18T12:00:00.000000Z",
"updated_at": "2026-06-18T15:30:00.000000Z",
"capabilities": {
"reply_window": {
"hours": 24
},
"templates": true,
"typing": true
}
},
"response": true
}integrations
Atualizar integração
Atualiza uma integração; envie apenas o que deve mudar. Um grupo config ou credentials enviado substitui o gravado por inteiro, e o tipo da integração não pode ser alterado. Veja Integrações.
PUT
/
api
/
management
/
integrations
/
{integration_id}
Atualizar integração
curl --request PUT \
--url https://api.olie.ai/api/management/integrations/{integration_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "WhatsApp oficial",
"is_active": false
}
'import requests
url = "https://api.olie.ai/api/management/integrations/{integration_id}"
payload = {
"name": "WhatsApp oficial",
"is_active": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'WhatsApp oficial', is_active: false})
};
fetch('https://api.olie.ai/api/management/integrations/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olie.ai/api/management/integrations/{integration_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'WhatsApp oficial',
'is_active' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.olie.ai/api/management/integrations/{integration_id}"
payload := strings.NewReader("{\n \"name\": \"WhatsApp oficial\",\n \"is_active\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.olie.ai/api/management/integrations/{integration_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"WhatsApp oficial\",\n \"is_active\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olie.ai/api/management/integrations/{integration_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"WhatsApp oficial\",\n \"is_active\": false\n}"
response = http.request(request)
puts response.read_body{
"integration": {
"id": "5d2e8f1a-6b3c-4d7e-8f90-1a2b3c4d5e6f",
"type": "whatsapp_cloud",
"name": "WhatsApp oficial",
"config": {
"onboarding": "embedded_signup",
"waba_id": "102030405060708",
"graph_version": "v21.0"
},
"is_active": false,
"connection_state": "unknown",
"connection_state_changed_at": null,
"frame_id": "7c0e1d2f-3a4b-5c6d-7e8f-9a0b1c2d3e4f",
"webhook_token": "Qm7xT2vB9nK4sH8dL1wR6yC0fJ5gAeU3iO7tZ2pV9kMbXc1N",
"webhook_url": "https://api.olie.ai/api/management/channels/inbound/Qm7xT2vB9nK4sH8dL1wR6yC0fJ5gAeU3iO7tZ2pV9kMbXc1N",
"created_at": "2026-06-18T12:00:00.000000Z",
"updated_at": "2026-06-18T15:30:00.000000Z",
"capabilities": {
"reply_window": {
"hours": 24
},
"templates": true,
"typing": true
}
},
"response": true
}Authorizations
Body
application/json
Campos da integração a alterar; envie apenas o que deve mudar.
Was this page helpful?